#############################################################################
# Author:                                                                   #
# ------                                                                    #
#  Anton Kokalj                                  Email: Tone.Kokalj@ijs.si  #
#  Department of Physical and Organic Chemistry  Phone: x 386 1 477 3523    #
#  Jozef Stefan Institute                          Fax: x 386 1 477 3811    #
#  Jamova 39, SI-1000 Ljubljana                                             #
#  SLOVENIA                                                                 #
#                                                                           #
# Source: $XCRYSDEN_TOPDIR/Tcl/mpegParam.tcl
# ------                                                                    #
# Copyright (c) 1996-2003 by Anton Kokalj                                   #
#############################################################################

proc mpegCreateParamFile {output input_dir files} {
    global system

    set param_file [subst {
PATTERN          IBBPBBPBBPBBPBBP
OUTPUT           $output
BASE_FILE_FORMAT PPM
INPUT_FORMAT     UCB
# t.k.
# INPUT_CONVERT    cat *
INPUT_CONVERT    djpeg *
GOP_SIZE         16
SLICES_PER_FRAME 1

INPUT_DIR        $input_dir
INPUT
$files
END_INPUT

PIXEL           FULL
RANGE           10
PSEARCH_ALG     LOGARITHMIC
BSEARCH_ALG     CROSS2
IQSCALE         8
PQSCALE         10
BQSCALE         25
REFERENCE_FRAME ORIGINAL
BIT_RATE        1000000
BUFFER_SIZE     327680
FRAME_RATE      30

# There are many more options, see the users manual for examples....
# ASPECT_RATIO, USER_DATA, GAMMA, IQTABLE, etc.
    }]

    WriteFile $system(SCRDIR)/anim.param $param_file w
    return $system(SCRDIR)/anim.param
}	
