#!/bin/sh 

InstallError () {
    echo "
*************************************************
An ERROR occured during configuration of XCrySDen

Code: $1
Exit 1
"
    exit 1
}

#
# Usage: xcConfigure [topdir]
#

if [ "$#" -lt 1 ]; then
    XCRYSDEN_TOPDIR=`pwd`
    if [ \( "$0" != "./xcConfigure" \) -a \( "$0" != "./xcInstall" \) ]
    then
	echo "
    Please goto XCrySDen top (main) directory and execute xcConfigure
    as \"./xcConfigure\" or from any other place as \"xcConfigure topdir\"
"
    exit 1
    fi
else
    if [ -d "$1" ]; then
	XCRYSDEN_TOPDIR=$1
    else
	InstallError "XCRYSDEN_TOPDIR $1 does not exists"
    fi
fi

# check if XCRYSDEN_TOPDIR exists:
xcv=`env | grep XCRYSDEN_TOPDIR`

cd $XCRYSDEN_TOPDIR

#
# assuming user shell is csh or tcsh or sh
#
date=`date`
export XCRYSDEN_TOPDIR
. $XCRYSDEN_TOPDIR/xcConfigure_updateProfile.sh
. $XCRYSDEN_TOPDIR/xcConfigure_definitions.sh
